diff --git a/desktop/.lein-repl-history b/desktop/.lein-repl-history
new file mode 100644
index 00000000..7ca4dbe3
--- /dev/null
+++ b/desktop/.lein-repl-history
@@ -0,0 +1,2 @@
+vim 
+
diff --git a/desktop/gametodos.txt b/desktop/gametodos.txt
index 2e286b0e..f24e96a9 100644
--- a/desktop/gametodos.txt
+++ b/desktop/gametodos.txt
@@ -12,10 +12,14 @@ PROGRAMMING
 + ending
     + you can drink the strength potion while in blood clots hand
 + proper save/settings file location
++ Save slots?
 + descriptions for all items when used on self.
 + try to have dialogue for every wrong interaction
 + Have to open curtains
 + grime on portrait
++ impersonate bubba dialogue tree
++ Dialogue frozen
+
 AUDIO
   + Walking
   + blink
diff --git a/desktop/resources/ending-castle/Untitled.png b/desktop/resources/ending-castle/Untitled.png
new file mode 100644
index 00000000..fb6ce84d
Binary files /dev/null and b/desktop/resources/ending-castle/Untitled.png differ
diff --git a/desktop/resources/ending-castle/game-player.png b/desktop/resources/ending-castle/game-player.png
new file mode 100644
index 00000000..fb6ce84d
Binary files /dev/null and b/desktop/resources/ending-castle/game-player.png differ
diff --git a/desktop/resources/ending-castle/game-player.pxa/0.pxi b/desktop/resources/ending-castle/game-player.pxa/0.pxi
new file mode 100644
index 00000000..5890015e
Binary files /dev/null and b/desktop/resources/ending-castle/game-player.pxa/0.pxi differ
diff --git a/desktop/resources/ending-castle/game-player.pxa/1.pxi b/desktop/resources/ending-castle/game-player.pxa/1.pxi
new file mode 100644
index 00000000..68a838f5
Binary files /dev/null and b/desktop/resources/ending-castle/game-player.pxa/1.pxi differ
diff --git a/desktop/resources/ending-castle/game-player.pxa/CelData.plist b/desktop/resources/ending-castle/game-player.pxa/CelData.plist
new file mode 100644
index 00000000..29c78f8b
--- /dev/null
+++ b/desktop/resources/ending-castle/game-player.pxa/CelData.plist
@@ -0,0 +1,14 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE plist PUBLIC "-//Apple//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
+<plist version="1.0">
+<array>
+	<dict>
+		<key>duration</key>
+		<real>1</real>
+	</dict>
+	<dict>
+		<key>duration</key>
+		<real>1</real>
+	</dict>
+</array>
+</plist>
diff --git a/desktop/src-common/advent/screens/rooms/ending.clj b/desktop/src-common/advent/screens/rooms/ending.clj
index c0593525..b45f7794 100644
--- a/desktop/src-common/advent/screens/rooms/ending.clj
+++ b/desktop/src-common/advent/screens/rooms/ending.clj
@@ -25,12 +25,13 @@
         warden-sheet (texture! (texture "inside-jail/warden.png") :split 43 58)
         warden-stand (animation 0.1 (for [i (flatten [(repeat 30 0) 2 (repeat 20 0) 2])]
                                       (aget warden-sheet 0 i)))
-        game-player-talk-sheet (texture! (texture "inside-castle/game-player-talk.png") :split 40 44)
-        game-player-stand-up (animation 0.15 (for [i [0 0 0 0 0 0 0 0 0 0 0 1]]
-                                               (aget game-player-talk-sheet 0 i)))
+        game-player-stand (utils/make-anim "ending-castle/game-player.png" [14 39] 0.2 (flatten [(repeat 5 0) 1] ))
+                                               
         ladder-guard-stand-1 (animation 0.1 [(texture "inside-cafeteria/ladder-guard-2.png")])
         ladder-guard-stand-2 (utils/flip (animation 0.1 [(texture "inside-cafeteria/ladder-guard-2.png")]))
-        scaler (utils/scaler-fn-with-baseline 110 0.10 1.00)]
+        grandma-stand (utils/make-anim "cat-tree/grandma.png" [25 36] 0.2 [0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1])
+        cat-stand (utils/make-anim "cat-tree/cat-stand.png" [22 10] 0.15 (flatten [(repeat 10 0) 1 1 (repeat 10 0) 2 3 4 3 0  0 2 3 4 3 (repeat 10 0) 1 1 (repeat 10 0) 5 5 6 6 7 (repeat 10 [7 8]) 6 5 0]))
+        scaler (utils/scaler-fn-with-baseline 20 0.01 1.20)]
     (rooms/make :music :dream
                 :interactions {}
                 :layers [(assoc (texture "ending-castle/ending-castle2-assets/background.png") :x 0 :y 0 :origin-x 0 :origin-y 0 :baseline 0)
@@ -63,10 +64,26 @@
                                            :scaled true
                                            :scale-x (scaler [179 150])
                                            :scale-y (scaler [179 150])) 
-                           :game-player (assoc (animation->texture screen game-player-stand-up)
+                           :game-player (assoc (animation->texture screen game-player-stand)
                                           :x 216 :y 69 :baseline (- 240 69)
-                                          :anim game-player-stand-up
+                                          :anim game-player-stand
                                           :anim-start 0
+                                          :scale-x (scaler [179 69])
+                                          :scale-y (scaler [179 69])
+                                          :scaled true)
+                           :grandma (assoc (animation->texture screen grandma-stand)
+                                          :x 56 :y 77 :baseline (- 240 77)
+                                          :anim grandma-stand
+                                          :anim-start 0
+                                          :scale-x (scaler [56 77])
+                                          :scale-y (scaler [56 77])
+                                          :scaled true)
+                           :cat (assoc (animation->texture screen cat-stand)
+                                          :x 73 :y 194 :baseline (- 240 195)
+                                          :anim cat-stand
+                                          :anim-start 0
+                                          :scale-x 0.65
+                                          :scale-y 0.65
                                           :scaled true)}
                 :collision "ending-castle/ending-castle2-assets/collision.png"
                 :scale-fn scaler 
